Package org.aopalliance.intercept

# Interface MethodInvocation

All Superinterfaces:
  `Invocation`, `Joinpoint`

All Known Subinterfaces:
  `ProxyMethodInvocation`

All Known Implementing Classes:
  `ReflectiveMethodInvocation`

public interface MethodInvocation extends Invocation
Description of an invocation to a method, given to an interceptor upon method-call.

A method invocation is a joinpoint and can be intercepted by a method interceptor.

Author:
  Rod Johnson
See Also:
  - `MethodInterceptor`

## Method Summary

Modifier and Type
Method
Description
`Method`
`getMethod()`
Get the method being called.

### Methods inherited from interface org.aopalliance.intercept.Invocation

`getArguments`

### Methods inherited from interface org.aopalliance.intercept.Joinpoint

`getStaticPart, getThis, proceed`

## Method Details

### getMethod

@Nonnull Method getMethod()
Get the method being called.

This method is a friendly implementation of the `Joinpoint.getStaticPart()` method (same result).

Returns:
  the method being called